org.apache.ignite.internal.processors.rest.client.message

## Class GridClientTaskResultBean

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientTaskResultBean

All Implemented Interfaces:
  Externalizable, Serializable

    public class GridClientTaskResultBean
    extends Object
    implements Externalizable

Task result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientTaskResultBean()`

### Method Summary

Methods
`String` `getError()`
`String` `getId()`
`<R> R` `getResult()`
`boolean` `isFinished()`
`void` `readExternal(ObjectInput in)`
`void` `setError(String error)`
`void` `setFinished(boolean finished)`
`void` `setId(String id)`
`void` `setResult(Object res)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientTaskResultBean

    public GridClientTaskResultBean()

### Method Detail

#### getId

    public String getId()

Returns:
  Task ID.

#### setId

    public void setId(String id)

Parameters:
  `id` - Task ID.

#### isFinished

    public boolean isFinished()

Returns:
  `true` if execution finished.

#### setFinished

    public void setFinished(boolean finished)

Parameters:
  `finished` - `true` if execution finished.

#### getResult

    public <R> R getResult()

Returns:
  Task result.

#### setResult

    public void setResult(Object res)

Parameters:
  `res` - Task result.

#### getError

    public String getError()

Returns:
  Error.

#### setError

    public void setError(String error)

Parameters:
  `error` - Error.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017